com.genesyslab.wfm7.API.service.schedule761

## Class SchSortMode

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchSortMode

- All Implemented Interfaces:
    java.io.Serializable

      public class SchSortMode
      extends java.lang.Object
      implements java.io.Serializable

  Defines Sort Mode for `SchAgentDay`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `ascending` Sort order "true" - ascending , "false" - descending
    `private int` | `groupMode` `ESchGroupMode` Specifies of how returned agent days should be grouped together.
    `private double` | `sortDate` Some sort modes require specified date for sorting.
    `private int` | `sortMode` `ESchSortMode` Specifies how returned schedule days must be sorted.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchSortMode()`
    `SchSortMode(int groupMode, int sortMode, boolean ascending, double sortDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGroupMode()` Gets the groupMode value for this SchSortMode.
    `double` | `getSortDate()` Gets the sortDate value for this SchSortMode.
    `int` | `getSortMode()` Gets the sortMode value for this SchSortMode.
    `boolean` | `isAscending()` Gets the ascending value for this SchSortMode.
    `void` | `setAscending(boolean ascending)` Sets the ascending value for this SchSortMode.
    `void` | `setGroupMode(int groupMode)` Sets the groupMode value for this SchSortMode.
    `void` | `setSortDate(double sortDate)` Sets the sortDate value for this SchSortMode.
    `void` | `setSortMode(int sortMode)` Sets the sortMode value for this SchSortMode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groupMode

          private int groupMode

      `ESchGroupMode` Specifies of how returned agent days should be grouped together.

    - #### sortMode

          private int sortMode

      `ESchSortMode` Specifies how returned schedule days must be sorted.

    - #### ascending

          private boolean ascending

      Sort order "true" - ascending , "false" - descending

    - #### sortDate

          private double sortDate

      Some sort modes require specified date for sorting. `OleDateTime`

  - ### Constructor Detail

    - #### SchSortMode

          public SchSortMode()

    - #### SchSortMode

          public SchSortMode(int groupMode,
                     int sortMode,
                     boolean ascending,
                     double sortDate)

  - ### Method Detail

    - #### getGroupMode

          public int getGroupMode()

      Gets the groupMode value for this SchSortMode.
      Returns:
        groupMode

    - #### setGroupMode

          public void setGroupMode(int groupMode)

      Sets the groupMode value for this SchSortMode.
      Parameters:
        `groupMode` -

    - #### getSortMode

          public int getSortMode()

      Gets the sortMode value for this SchSortMode.
      Returns:
        sortMode

    - #### setSortMode

          public void setSortMode(int sortMode)

      Sets the sortMode value for this SchSortMode.
      Parameters:
        `sortMode` -

    - #### isAscending

          public boolean isAscending()

      Gets the ascending value for this SchSortMode.
      Returns:
        ascending

    - #### setAscending

          public void setAscending(boolean ascending)

      Sets the ascending value for this SchSortMode.
      Parameters:
        `ascending` -

    - #### getSortDate

          public double getSortDate()

      Gets the sortDate value for this SchSortMode.
      Returns:
        sortDate

    - #### setSortDate

          public void setSortDate(double sortDate)

      Sets the sortDate value for this SchSortMode.
      Parameters:
        `sortDate` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.